Author Topic: Inform 1.2 will not install with QB64 1.5  (Read 2160 times)

0 Members and 1 Guest are viewing this topic.

Offline johnno56

  • Forum Resident
  • Posts: 1270
  • Live long and prosper.
Inform 1.2 will not install with QB64 1.5
« on: June 29, 2021, 09:09:34 am »
Downloaded and unpacked the inform folder into QB64's directory as per instructions.

Modified the script so as to be able to execute. using chmod +x setup_lnx.sh

Executed script:
-----------------------------------------------------------------------------------
john@John-H81M-DS2:~/development/basic/qb64/InForm-1.2$ ./setup_inform_lnx.sh
Compilation failed.
Make sure you have version 1.2 of QB64 to use InForm.
-----------------------------------------------------------------------------------

I have QB64 v 1.5 stable git 3043116 installed.

Did I do something wrong?

J
Logic is the beginning of wisdom.

FellippeHeitor

  • Guest
Re: Inform 1.2 will not install with QB64 1.5
« Reply #1 on: June 29, 2021, 09:36:34 am »
It looks like you've unpacked it to a subfolder and InForm doesn't see QB64.

Your path structure should contain, as per the original package:

~/development/basic/qb64/setup_inform_lnx.sh
~/development/basic/qb64/falcon.h
~/development/basic/qb64/InForm/* <-- this is where the library files are contained

The setup script must reside in QB64's folder along with falcon.h - then there must be the InForm folder in the same folder as qb64 too.

Offline johnno56

  • Forum Resident
  • Posts: 1270
  • Live long and prosper.
Re: Inform 1.2 will not install with QB64 1.5
« Reply #2 on: June 29, 2021, 04:07:47 pm »
Thank you, Fellippe,

It was obviously my fault again... lol

When I unpacked inform, the folder it created, was then placed in the QB64's directory.

Simply moved all files, within the unpacked folder, into QB's directory and everything compiled as it should... Now, let me see about dusting off those Inform tutorials....

Many thanks for the assist. Much appreciated.

J
Logic is the beginning of wisdom.

FellippeHeitor

  • Guest
Re: Inform 1.2 will not install with QB64 1.5
« Reply #3 on: June 29, 2021, 04:25:53 pm »
My pleasure - let me know how it all goes.